UpdateAuthenticationProviderDetails¶
- class oci.oda.models.UpdateAuthenticationProviderDetails(**kwargs)¶
Bases:
objectProperties to update an Authentication Provider.
Methods:
__init__(**kwargs)Initializes a new UpdateAuthenticationProviderDetails object with values from keyword arguments.
Attributes:
Gets the authorization_endpoint_url of this UpdateAuthenticationProviderDetails.
Gets the client_id of this UpdateAuthenticationProviderDetails.
Gets the client_secret of this UpdateAuthenticationProviderDetails.
Gets the defined_tags of this UpdateAuthenticationProviderDetails.
Gets the freeform_tags of this UpdateAuthenticationProviderDetails.
Gets the redirect_url of this UpdateAuthenticationProviderDetails.
Gets the refresh_token_retention_period_in_days of this UpdateAuthenticationProviderDetails.
Gets the revoke_token_endpoint_url of this UpdateAuthenticationProviderDetails.
Gets the scopes of this UpdateAuthenticationProviderDetails.
Gets the short_authorization_code_request_url of this UpdateAuthenticationProviderDetails.
Gets the subject_claim of this UpdateAuthenticationProviderDetails.
Gets the token_endpoint_url of this UpdateAuthenticationProviderDetails.
- __init__(**kwargs)¶
Initializes a new UpdateAuthenticationProviderDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
token_endpoint_url (str) – The value to assign to the token_endpoint_url property of this UpdateAuthenticationProviderDetails.
authorization_endpoint_url (str) – The value to assign to the authorization_endpoint_url property of this UpdateAuthenticationProviderDetails.
short_authorization_code_request_url (str) – The value to assign to the short_authorization_code_request_url property of this UpdateAuthenticationProviderDetails.
revoke_token_endpoint_url (str) – The value to assign to the revoke_token_endpoint_url property of this UpdateAuthenticationProviderDetails.
client_id (str) – The value to assign to the client_id property of this UpdateAuthenticationProviderDetails.
client_secret (str) – The value to assign to the client_secret property of this UpdateAuthenticationProviderDetails.
scopes (str) – The value to assign to the scopes property of this UpdateAuthenticationProviderDetails.
subject_claim (str) – The value to assign to the subject_claim property of this UpdateAuthenticationProviderDetails.
refresh_token_retention_period_in_days (int) – The value to assign to the refresh_token_retention_period_in_days property of this UpdateAuthenticationProviderDetails.
redirect_url (str) – The value to assign to the redirect_url property of this UpdateAuthenticationProviderDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdateAuthenticationProviderDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdateAuthenticationProviderDetails.
- property authorization_endpoint_url¶
Gets the authorization_endpoint_url of this UpdateAuthenticationProviderDetails. The IDPs URL for the page that users authenticate with by entering the user name and password.
- Returns
The authorization_endpoint_url of this UpdateAuthenticationProviderDetails.
- Return type
str
- property client_id¶
Gets the client_id of this UpdateAuthenticationProviderDetails. The client ID for the IDP application (OAuth Client) that was registered as described in Identity Provider Registration. With Microsoft identity platform, use the application ID.
- Returns
The client_id of this UpdateAuthenticationProviderDetails.
- Return type
str
- property client_secret¶
Gets the client_secret of this UpdateAuthenticationProviderDetails. The client secret for the IDP application (OAuth Client) that was registered as described in Identity Provider Registration. With Microsoft identity platform, use the application secret.
- Returns
The client_secret of this UpdateAuthenticationProviderDetails.
- Return type
str
- property defined_tags¶
Gets the defined_tags of this UpdateAuthenticationProviderDetails. Usage of predefined tag keys. These predefined keys are scoped to namespaces. Example: {“foo-namespace”: {“bar-key”: “value”}}
- Returns
The defined_tags of this UpdateAuthenticationProviderDetails.
- Return type
dict(str, dict(str, object))
- property freeform_tags¶
Gets the freeform_tags of this UpdateAuthenticationProviderDetails. Simple key-value pair that is applied without any predefined name, type, or scope. Example: {“bar-key”: “value”}
- Returns
The freeform_tags of this UpdateAuthenticationProviderDetails.
- Return type
dict(str, str)
- property redirect_url¶
Gets the redirect_url of this UpdateAuthenticationProviderDetails. The OAuth Redirect URL.
- Returns
The redirect_url of this UpdateAuthenticationProviderDetails.
- Return type
str
- property refresh_token_retention_period_in_days¶
Gets the refresh_token_retention_period_in_days of this UpdateAuthenticationProviderDetails. The number of days to keep the refresh token in the Digital Assistant cache.
- Returns
The refresh_token_retention_period_in_days of this UpdateAuthenticationProviderDetails.
- Return type
int
- property revoke_token_endpoint_url¶
Gets the revoke_token_endpoint_url of this UpdateAuthenticationProviderDetails. If you want to revoke all the refresh tokens and access tokens of the logged-in user from a dialog flow, then you need the IDP’s revoke refresh token URL. If you provide this URL, then you can use the System.OAuth2ResetTokens component to revoke the user’s tokens for this service.
- Returns
The revoke_token_endpoint_url of this UpdateAuthenticationProviderDetails.
- Return type
str
- property scopes¶
Gets the scopes of this UpdateAuthenticationProviderDetails. A space-separated list of the scopes that must be included when Digital Assistant requests an access token from the provider. Include all the scopes that are required to access the resources. If refresh tokens are enabled, include the scope that’s necessary to get the refresh token (typically offline_access).
- Returns
The scopes of this UpdateAuthenticationProviderDetails.
- Return type
str
- property short_authorization_code_request_url¶
Gets the short_authorization_code_request_url of this UpdateAuthenticationProviderDetails. A shortened version of the authorization URL, which you can get from a URL shortener service (one that allows you to send query parameters). You might need this because the generated authorization-code-request URL could be too long for SMS and older smart phones.
- Returns
The short_authorization_code_request_url of this UpdateAuthenticationProviderDetails.
- Return type
str
- property subject_claim¶
Gets the subject_claim of this UpdateAuthenticationProviderDetails. The access-token profile claim to use to identify the user.
- Returns
The subject_claim of this UpdateAuthenticationProviderDetails.
- Return type
str
- property token_endpoint_url¶
Gets the token_endpoint_url of this UpdateAuthenticationProviderDetails. The IDPs URL for requesting access tokens.
- Returns
The token_endpoint_url of this UpdateAuthenticationProviderDetails.
- Return type
str